# class Crystal::Macros::Rescue

- Crystal::Macros::Rescue
- Crystal::Macros::ASTNode

##
Overview

A `rescue` clause inside an exception handler.

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #body : ASTNode

  Returns this `rescue` clause's body.

- #name : MacroId | Nop

  Returns the variable name of the rescued exception, if any.

- #types : ArrayLiteral | NilLiteral

  Returns this `rescue` clause's exception types, if any.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def body : ASTNode #

Returns this `rescue` clause's body.

def name : MacroId | Nop #

Returns the variable name of the rescued exception, if any.

def types : ArrayLiteral | NilLiteral #

Returns this `rescue` clause's exception types, if any.